XATAAPIUnified REST APIAgent access

Confirm Venue Setup (Model 1)

Confirm venue setup after the user has completed the UI action. Request body varies by venue. Available for: hyperliquid, hyena, aster, paradex, grvt.

POST
/account/venues/{venue}/confirm

Authorization

ApiKeyAuth
X-API-KEY<token>

In: header

Path Parameters

venue*enum<string>required
Available options: hyperliquidhyenaasterparadexgrvt

Request Body

application/json

main_wallet_address?string

Main wallet address (required for Hyperliquid, HyENA, and AsterDex)

grvt_api_key?string

GRVT API key (required for GRVT)

sub_account_id?string

GRVT sub-account ID (required for GRVT)

Response Body

application/json

curl -X POST "https://api.x.ata.network/v2/account/venues/hyperliquid/confirm" \  -H "Content-Type: application/json" \  -d '{}'
{
  "venue": "aster",
  "status": "active",
  "wallet_address": "0x5555555555555555555555555555555555555555"
}
Empty
Empty
Empty